#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1
%define module milou

Summary:        A dedicated search application built on top of Baloo
Name:           %module
Version: 5.8.7
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{module}-%{version}.tar.xz
URL:            https://www.kde.org/

BuildRequires:  kf5-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(Qt5Script)
BuildRequires:  pkgconfig(Qt5Qml)

BuildRequires:  krunner-devel 
BuildRequires:  plasma-framework-devel 
BuildRequires:  kdeclarative-devel
BuildRequires:  baloo-devel

Obsoletes:      plasma5-%module
Provides:       plasma5-%module = %version-%release

%description
A dedicated search application built on top of Baloo.

%files -f %name.lang
%_kf5_qmldir/org/kde/milou
%_kf5_services/plasma-applet-org.kde.milou.desktop
%_kf5_servicetypes/miloupreviewplugin.desktop
%_kf5_datadir/plasma/plasmoids/org.kde.milou
%_qt5_plugindir/miloutextplugin.so
%_kf5_services/miloutextpreview.desktop
%_kf5_appdatadir/org.kde.milou.appdata.xml

#--------------------------------------------------------------------

%define milou_major 5
%define libmilou %mklibname milou %{milou_major}

%package -n %libmilou
Summary:  A dedicated search application built on top of Baloo
Group:        System/Libraries

%description -n %libmilou
A dedicated search application built on top of Baloo.

%files -n %libmilou
%_kf5_libdir/libmilou.so.%{milou_major}*

#--------------------------------------------------------------------


%prep
%setup -q -n %module-%version
%autopatch -p1

%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_sysconfdir"
%make_build

%install
%make_install -C build
%find_lang %name --all


%changelog
* Fri May 26 2017 neoclust <neoclust> 5.8.7-1.mga6
+ Revision: 1104849
- New version 5.8.7

* Mon Mar 06 2017 neoclust <neoclust> 5.8.6-1.mga6
+ Revision: 1089035
- New version 5.8.6

* Tue Dec 27 2016 neoclust <neoclust> 5.8.5-1.mga6
+ Revision: 1078170
- New version 5.8.5

* Mon Nov 28 2016 neoclust <neoclust> 5.8.4-1.mga6
+ Revision: 1070727
- New version 5.8.4

* Thu Nov 03 2016 neoclust <neoclust> 5.8.3-2.mga6
+ Revision: 1065063
- Rebuild against Qt 5.6.2

* Tue Nov 01 2016 neoclust <neoclust> 5.8.3-1.mga6
+ Revision: 1064488
- New version 5.8.3

* Sat Oct 22 2016 neoclust <neoclust> 5.8.2-1.mga6
+ Revision: 1063058
- New version 5.8.2
- New version 5.8.2

* Wed Oct 12 2016 neoclust <neoclust> 5.8.1-1.mga6
+ Revision: 1060283
- New version 5.8.1

* Thu Sep 29 2016 neoclust <neoclust> 5.8.0-1.mga6
+ Revision: 1057609
- New version 5.8.0

* Thu Sep 15 2016 neoclust <neoclust> 5.7.95-1.mga6
+ Revision: 1053065
- New version 5.7.95

* Wed Sep 14 2016 neoclust <neoclust> 5.7.5-1.mga6
+ Revision: 1052692
- New version 5.7.5

* Thu Aug 25 2016 neoclust <neoclust> 5.7.4-1.mga6
+ Revision: 1048798
- New version 5.7.4

* Tue Aug 02 2016 neoclust <neoclust> 5.7.3-1.mga6
+ Revision: 1044278
- New version 5.7.3

* Tue Jul 19 2016 neoclust <neoclust> 5.7.2-1.mga6
+ Revision: 1042566
- New version 5.7.2

* Tue Jul 12 2016 neoclust <neoclust> 5.7.1-1.mga6
+ Revision: 1041403
- New version 5.7.1

* Thu Jul 07 2016 neoclust <neoclust> 5.7.0-1.mga6
+ Revision: 1039509
- New version 5.7.0

* Fri Jun 17 2016 neoclust <neoclust> 5.6.5-1.mga6
+ Revision: 1021880
- New version 5.6.5

* Fri May 13 2016 neoclust <neoclust> 5.6.4-1.mga6
+ Revision: 1014548
- New version 5.6.4

* Wed May 04 2016 neoclust <neoclust> 5.6.3-1.mga6
+ Revision: 1009285
- New version 5.6.3

* Fri Apr 08 2016 neoclust <neoclust> 5.6.2-1.mga6
+ Revision: 999269
- New version 5.6.2

* Sun Apr 03 2016 neoclust <neoclust> 5.6.1-1.mga6
+ Revision: 998024
- New version 5.6.1

* Wed Mar 23 2016 neoclust <neoclust> 5.6.0-1.mga6
+ Revision: 994400
- New version 5.6.0

* Mon Mar 07 2016 neoclust <neoclust> 5.5.95-2.mga6
+ Revision: 986981
- Rebuild against kf5 5.20.0

* Wed Mar 02 2016 neoclust <neoclust> 5.5.95-1.mga6
+ Revision: 983752
- New version 5.5.95

* Tue Jan 26 2016 neoclust <neoclust> 5.5.4-1.mga6
+ Revision: 927979
- New version 5.5.4

* Wed Jan 13 2016 neoclust <neoclust> 5.5.3-1.mga6
+ Revision: 922514
- New version 5.5.3

* Sun Dec 27 2015 neoclust <neoclust> 5.5.2-2.mga6
+ Revision: 915830
- Rebuild against new cmake to have cmake() provides

* Fri Dec 25 2015 neoclust <neoclust> 5.5.2-1.mga6
+ Revision: 914849
- New version 5.5.2

* Wed Dec 23 2015 neoclust <neoclust> 5.5.1-2.mga6
+ Revision: 913644
- Rebuild against Qt 5.6.0 Beta

* Tue Dec 15 2015 neoclust <neoclust> 5.5.1-1.mga6
+ Revision: 910694
- New version 5.5.1

* Tue Dec 08 2015 neoclust <neoclust> 5.5.0-1.mga6
+ Revision: 908855
- New version 5.5.0

* Fri Nov 20 2015 neoclust <neoclust> 5.4.95-1.mga6
+ Revision: 904408
- New version 5.4.95

* Tue Nov 10 2015 neoclust <neoclust> 5.4.90-2.mga6
+ Revision: 900727
- Rebuild against fixed qtbase5

* Fri Nov 06 2015 neoclust <neoclust> 5.4.90-1.mga6
+ Revision: 898266
- New version 5.4.90

* Sun Oct 11 2015 neoclust <neoclust> 5.4.2-1.mga6
+ Revision: 889526
- New version 5.4.2

* Wed Sep 09 2015 neoclust <neoclust> 5.4.1-1.mga6
+ Revision: 874738
- New version 5.4.1

* Wed Aug 26 2015 neoclust <neoclust> 5.4.0-1.mga6
+ Revision: 869655
- New version 5.4.0

* Tue Aug 11 2015 neoclust <neoclust> 5.3.95-1.mga6
+ Revision: 862892
- New version 5.3.95

* Mon Jul 06 2015 neoclust <neoclust> 5.3.2-2.mga6
+ Revision: 851838
- Obsoletes plasma5-milou
- Update to kf5 version by default

* Wed Oct 15 2014 umeabot <umeabot> 0.1-4.mga5
+ Revision: 740121
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.1-3.mga5
+ Revision: 727282
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.1-2.mga5
+ Revision: 682392
- Mageia 5 Mass Rebuild

* Tue Jul 22 2014 lmenut <lmenut> 0.1-1.mga5
+ Revision: 655667
- imported package milou

